# Objects

Objects in Grezi describe things that you want to put on screen. Objects fade in when entering slides, persist between slides, and then either disappear, or fade-out when leaving slides.

Here's a few example objects:

```
Title: Header(
    value: "## Let's talk about Strings

Strings are cool!",
    align: "center"
)

Subtitle: Paragraph(
    value: "A presentation by StratusFearMe21",
)

StringType: Paragraph(
    font_family: "Fira Code",
    value: "new String()",
    language: "java",
)

StringClass: Paragraph(
    value: "public class String {
    char charAt(int index) {}
    int compareTo(String anotherString) {}
    String concat(String str) {}
    boolean equals(Object anObject) {}
    int indexOf(int ch) {}
    int indexOf(String str) {}
    int length() {}
    String toUpperCase() {}
    String toLowerCase() {}
    String trim() {}
    String substring(int beginIndex) {}
    String substring(int beginIndex, int endIndex) {}
    char[] toCharArray() {}
}",
    font_size: "32",
    font_family: "Fira Code",
    language: "java",
)
```

Objects are described like this

```
{name}: {type}(
    {key}: {value},
    {key}: {value},
)
```

The object types are described on the following pages
